Product comparison · 2 network switches

Allied Telesis AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey vs Allied Telesis AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey

Add a product
  • 29specifications compared
  • 12differ
  • 17identical
  • 43known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:28
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:24
  • 10G support
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:No
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:Yes
  • MAC address table
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:16000 entries
  • Switching capacity
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:12.8 Gbit/s
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:128 Gbit/s
  • AC input voltage
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:100 - 240 V
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:90 - 260 V
  • Power consumption (max)
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:8.7 W
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:66 W
  • Operating temperature (T-T)
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:0 - 40 °C
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:0 - 45 °C
  • Width
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • AT-x510DP-28GTX Managed L3 Gigabit Ethernet (10/100/1000) Grey:440 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of AT-FS750/28-10, AT-x510DP-28GTX
72 specifications
Management featuresidentical
System event logKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Switch layerKnown for oneUnknown — not stated by the sourceL3
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2824
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one24Unknown — not stated by the source
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
SFP+ module slots quantityKnown for oneUnknown — not stated by the source4
Network2 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1v, IEEE 802.1x, IEEE 802.3, IEEE 802.3ac
10G supportDiffersNoYes
Port mirroringKnown for oneYesUnknown — not stated by the source
Broadcast storm controlKnown for oneYesUnknown — not stated by the source
Flow control supportKnown for oneYesUnknown — not stated by the source
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Link aggregationKnown for oneYesUnknown — not stated by the source
Rate limitingKnown for oneYesUnknown — not stated by the source
Spanning tree protocolKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresKnown for oneTagged VLAN, Port-based VLANUnknown — not stated by the source
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Data transmission2 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers12.8 Gbit/s128 Gbit/s
Forwarding rateKnown for one9.5 MppsUnknown — not stated by the source
Jumbo frames supportKnown for oneYesUnknown — not stated by the source
Jumbo framesKnown for one10000Unknown — not stated by the source
Packet buffer memoryKnown for one4.1 MBUnknown — not stated by the source
ThroughputKnown for oneUnknown — not stated by the source95.2 Mpps
Latency (1 Gbps)Known for oneUnknown — not stated by the source3.9 µs
Latency (10 Gbps)Known for oneUnknown — not stated by the source3 µs
Securityidentical
Access Control List (ACL) rulesKnown for one200Unknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Password protectionKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one802.1x RADIUS, SNMPv3Unknown — not stated by the source
Multicast featuresidentical
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Designidentical
Form factorKnown for one1UUnknown — not stated by the source
StackableKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Internal memoryKnown for one128 MBUnknown — not stated by the source
Flash memoryKnown for one16 MBUnknown — not stated by the source
Noise levelKnown for oneUnknown — not stated by the source44 dB
Power2 differ
AC input voltageDiffers100 - 240 V90 - 260 V
Power consumption (max)Differs8.7 W66 W
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 45 °C
Operating relative humidity (H-H)Known for one5 - 90%Unknown — not stated by the source
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Heat dissipationKnown for oneUnknown — not stated by the source225 BTU/h
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm480 mm
WeightDiffers2.2 kg5.3 kg
Packaging contentidentical
ManualKnown for oneYesUnknown — not stated by the source
Packaging dataidentical
Included power plug typesKnown for oneUSUnknown — not stated by the source
Mounting brackets includedKnown for oneYesUnknown — not stated by the source
Rubber feetKnown for oneYesUnknown — not stated by the source
Package weightKnown for oneUnknown — not stated by the source7.3 kg
Certificatesidentical
CertificationKnown for oneUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cULUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for oneUnknown — not stated by the source85176990

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons